> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Override a vehicle's charge policy by settings a deadline



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/charge-policy/override
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/charge-policy/override:
    get:
      tags:
        - Electric Vehicle Charge Policy Overrides
      summary: Override a vehicle's charge policy by settings a deadline
      operationId: >-
        integrations_api_api_v2_organizations_users_electric_vehicles_charge_policy_override_charge_policy_override_router_get
      parameters:
        - in: path
          name: org_id
          schema:
            description: The org ID that the user belongs to
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The org ID that the user belongs to
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the electric vehicle belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the electric vehicle belongs to
        - in: path
          name: electric_vehicle_id
          schema:
            description: The ID of the electric vehicle
            format: uuid
            title: Electric Vehicle Id
            type: string
          required: true
          description: The ID of the electric vehicle
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOutput'
        '404':
          description: Not Found
      security:
        - OAuth2: []
components:
  schemas:
    GetOutput:
      properties:
        metadata:
          $ref: '#/components/schemas/GetOutputMetadata'
        data:
          items:
            $ref: '#/components/schemas/GetOutputData'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: GetOutput
      type: object
    GetOutputMetadata:
      properties:
        query:
          $ref: '#/components/schemas/GetOutputMetadataQuery'
        error:
          const: null
          title: Error
          type: 'null'
      required:
        - query
      title: GetOutputMetadata
      type: object
    GetOutputData:
      properties:
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        price:
          title: Price
          type: number
      required:
        - timestamp
        - price
      title: GetOutputData
      type: object
    GetOutputMetadataQuery:
      properties:
        org_id:
          title: Org Id
          type: string
        from_dt:
          format: date-time
          title: From Dt
          type: string
        to_dt:
          format: date-time
          title: To Dt
          type: string
        price_zone:
          title: Price Zone
          type: string
      required:
        - org_id
        - from_dt
        - to_dt
        - price_zone
      title: GetOutputMetadataQuery
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````